Subject: Business Air News Bulletin - May 23, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 24 May 2023 05:02:11 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Edinburgh FBO boasts Signature overhaul

Signature has invested substantially to upgrade the FBO. It offers a full suite of handling services, is fully self-sufficient and has a dedicated 6,497 sqm GA ramp. A CT3 X-ray machine upgrade is planned for early 2024.

Avfuel makes fresh hires and delivers SAF to EBACE

Avfuel collaborated with three of the industry's major aircraft original equipment manufacturers, Dassault Falcon Jet, Embraer and Textron, to provide their flight departments with Neste MY Sustainable Aviation Fuel.

Jet Aviation ensures SAF on tap for EBACE visitors

In 2019, Jet Aviation was the first supplier to offer sustainable fuel via a blended fuel option at Van Nuys airport in California. Then in 2020, the company brought a supply of SAF to the World Economic Forum.

Extra space available soon for customers of XLR

In addition to a large VIP lounge, dedicated crew facilities and private security screening, XLR Executive Jet Centre at Liverpool includes VIP arrivals and PETS (Pet Travel Scheme) clearance.

UAS expands network in Balkans with Flystar

UAS clients will now have a local supervisor onsite at 23 international airports across the Balkans thanks to its partnership with Flystar.

Skyservice kicks off at Napa with temporary facility

The future hangar has been designed with 28 ft-high doors that can handle the newest Bombardier and Gulfstream models while still accommodating the airport's more popular Citation and Challenger aircraft. 

To unsubscribe, please contact [email-masked].